Bug 116148 - Add configuration parameter to disable editing of authoring kits
Summary: Add configuration parameter to disable editing of authoring kits
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 116147
TreeView+ depends on / blocked
 
Reported: 2004-02-18 16:41 UTC by Daniel Berrange
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:34:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-02-18 16:41:00 UTC
Description of problem:
We recently reinstated UI to enable editing of authoring kits. This
was a workaround for not being able to customize authoring kit XML
definitions site wide with new packaging. Since this time, however, I
introduced the concept of a 'Content Asset' which can add steps to any
authoring kit upon startup. THis makes the editing UI pretty much
redundant. In any case if would only ever be needed after first
loading up a server. Leaving it generally available invites trouble as
CMS admins who generally know nothing about the technical details of
authoring kits try changing things. Thus we need a config parameter to
disable this piece of UI

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

cf bug 116147

Comment 1 Daniel Berrange 2006-09-02 17:34:21 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.